## led-pattern-editor 0.0.2-1

=== Makefile ===
.PHONY: all clean install

bindir=/usr/bin
pluginlibdir=`pkg-config hildon-control-panel --variable pluginlibdir`
plugindesktopentrydir=`pkg-config hildon-control-panel --variable plugindesktopentrydir`
sudoersdir=/etc/sudoers.d

HILDON_CFLAGS = `pkg-config --cflags hildon-1`
OSSO_CFLAGS = `pkg-config --cflags libosso`
GLIB_CFLAGS = `pkg-config --cflags glib-2.0 gobject-2.0`

HILDON_LIBS = `pkg-config --libs hildon-1`
OSSO_LIBS = `pkg-config --libs libosso`
GLIB_LIBS = `pkg-config --libs glib-2.0 gobject-2.0`

pluginlib_LTLIBRARY = \
	libled-pattern-editor.so

plugindesktopentry_DATA = \
	data/led-pattern-editor.desktop

sudoers_DATA = \
	data/led-pattern-editor.sudoers

bin_PROGRAM = \
	led-pattern-helper

all: ${pluginlib_LTLIBRARY} ${bin_PROGRAM}

led_pattern_editor_SOURCES = $(patsubst %.vala,%.c,${led_pattern_editor_VALASOURCES})

led_pattern_editor_VALASOURCES = \
	src/led-pattern-editor.vala \
	src/led-color-widgets.vala \
	src/led-command-widget.vala \
	src/led-pattern.vala \
	src/led-pattern-rx51.vala \
	src/led-pattern-dialog.vala \
	src/led-pattern-view.vala \
	src/led-program-dialog.vala \
	src/mce-ini-parse.vala

led_pattern_editor_VALAFLAGS = --pkg hildon-1 --pkg libosso

${pluginlib_LTLIBRARY}: ${led_pattern_editor_SOURCES}
	gcc -shared ${HILDON_CFLAGS} ${OSSO_CFLAGS} -o $@ $^ ${HILDON_LIBS} ${OSSO_LIBS}

src/led-pattern-editor.c: ${led_pattern_editor_VALASOURCES}
	valac -C ${led_pattern_editor_VALAFLAGS} -o $@ $^

led_pattern_helper_SOURCES = \
	src/led-pattern-helper.c

led_pattern_helper_VALASOURCES = \
	src/led-pattern-helper.vala

${bin_PROGRAM}: ${led_pattern_helper_SOURCES}
	gcc ${GLIB_CFLAGS} -o $@ $^ ${GLIB_LIBS}

src/led-pattern-helper.c: ${led_pattern_helper_VALASOURCES}
	valac -C -o $@ $^

clean:
	rm ${pluginlib_LTLIBRARY} ${bin_PROGRAM} src/*.c

install:
	install -d ${DESTDIR}${pluginlibdir}
	install libled-pattern-editor.so ${DESTDIR}${pluginlibdir}/libled-pattern-editor.so
	install -d ${DESTDIR}${plugindesktopentrydir}
	install ${plugindesktopentry_DATA} ${DESTDIR}${plugindesktopentrydir}/`basename ${plugindesktopentry_DATA}`
	install -d ${DESTDIR}${bindir}
	install led-pattern-helper ${DESTDIR}${bindir}/led-pattern-helper
	install -d ${DESTDIR}${sudoersdir}
	install ${sudoers_DATA} ${DESTDIR}${sudoersdir}/`basename ${sudoers_DATA}`

=== debian/changelog ===
led-pattern-editor (0.0.2-1) fremantle; urgency=low

  * Improved functionality:
    - adding / removing commands
    - second pattern engine support

 -- Philipp Zabel <philipp.zabel@gmail.com>  Sun, 28 Feb 2010 14:57:17 +0100

led-pattern-editor (0.0.1-1) fremantle; urgency=low

  * Initial release

 -- Philipp Zabel <philipp.zabel@gmail.com>  Mon, 18 Jan 2010 21:45:13 +0100

=== debian/control ===
Source: led-pattern-editor
Section: user/system
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: vala (>= 0.7.10-maemo1), hildon-control-panel-dev, libosso-dev, libhildon1-dev, osso-af-settings
Standards-Version: 4
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=LEDPatternEditor

Package: led-pattern-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-icons-default
XB-Description: A control panel applet to edit notification LED blinking patterns
 Can graphically edit the blinking patterns and LED colors, preview the
 LED patterns and save the configuration and restart MCE to apply changes.
XB-Maemo-Display-Name: LED Pattern Editor
XB-Maemo-Upgrade-Description: Adding / removing commands, second pattern engine, simple triggers
 This version supports adding / removing commands and editing pattern end
 commands. The second pattern engine can be used now, and there is support
 for simple trigger configurations.

## led-pattern-editor 0.0.3-1

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	src/led-pattern.vala \
 	src/led-pattern-rx51.vala \
 	src/led-pattern-dialog.vala \
+	src/led-pattern-button.vala \
 	src/led-pattern-view.vala \
 	src/led-program-dialog.vala \
 	src/mce-ini-parse.vala

=== debian/changelog ===
led-pattern-editor (0.0.3-1) fremantle; urgency=low

  * Fixed Ramp / Wait edit dialog initial setting for long step times
  * Changed to step scales in increments of 1 instead of 10
  * Fixed bug tracker entry
  * Added duration in seconds to pattern list dialog
  * Added copy & paste functionality

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 11 May 2010 21:13:09 +0200

=== debian/control ===
Source: led-pattern-editor
Section: user/system
Priority: extra
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: vala (>= 0.8.0), hildon-control-panel-dev, libosso-dev, libhildon1-dev, osso-af-settings
Standards-Version: 4
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=LED%20Pattern

Package: led-pattern-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-icons-default
XB-Description: A control panel applet to edit notification LED blinking patterns
 Can graphically edit the blinking patterns and LED colors, preview the
 LED patterns and save the configuration and restart MCE to apply changes.
XB-Maemo-Display-Name: LED Pattern Editor
XB-Maemo-Upgrade-Description: Copy & paste functionality, display of pattern duration
 This version adds copy & paste functionality via a Copy button and the Ctrl+C
 and Ctrl+V shortcuts in the LED program editor dialog. The initial pattern list
 dialog now shows the pattern duration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4
export DH_OPTIONS

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH   ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	 --prefix=/usr


build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-arch binary-indep binary install configure

## led-pattern-editor 0.0.4-1

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	src/led-color-widgets.vala \
 	src/led-command-widget.vala \
 	src/led-pattern.vala \
+	src/led-pattern-rx44.vala \
 	src/led-pattern-rx51.vala \
 	src/led-pattern-dialog.vala \
 	src/led-pattern-button.vala \

=== debian/changelog ===
led-pattern-editor (0.0.4-1) fremantle; urgency=low

  * Added help button, fixes #10255.
  * Added button to restore original patterns, fixes #10256.
  * Added homepage link to https://wiki.maemo.org/LED_Pattern_Editor

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 27 May 2010 20:59:45 +0200

=== debian/control ===
Source: led-pattern-editor
Section: user/system
Priority: extra
Homepage: https://wiki.maemo.org/LED_Pattern_Editor
Maintainer: Philipp Zabel <philipp.zabel@gmail.com>
Build-Depends: vala (>= 0.8.0), hildon-control-panel-dev, libosso-dev, libhildon1-dev, osso-af-settings
Standards-Version: 4
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=LED%20Pattern

Package: led-pattern-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osso-icons-default
XB-Description: A control panel applet to edit notification LED blinking patterns
 Can graphically edit the blinking patterns and LED colors, preview the
 LED patterns and save the configuration and restart MCE to apply changes.
XB-Maemo-Display-Name: LED Pattern Editor
XB-Maemo-Upgrade-Description: Help button and button to restore original patterns
 This version adds a Help button that opens the LED Pattern Editor wiki page
 for basic instructions. The "Restore original patterns" button restores the
 patterns from the backup copy that was made during the first installation of
 the LED pattern editor.

## led-pattern-editor 0.0.5-1

=== debian/changelog ===
led-pattern-editor (0.0.5-1) fremantle; urgency=low

  * Removed the warning before applying changes to MCE.
  * Improved error handling and reporting for invalid patterns in mce.ini.
  * Added Czech, German, Finnish and Italian translation.
  * Made pattern testing more robust using inhibitor notification pattern.
    - Added dependency: mceledpattern
    - Restarts MCE during postinst to register PatternInhibit

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 10 Feb 2011 17:13:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: led-pattern-editor
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, osso-icons-default
+Depends: ${shlibs:Depends}, ${misc:Depends}, osso-icons-default, mceledpattern
 XB-Description: A control panel applet to edit notification LED blinking patterns
  Can graphically edit the blinking patterns and LED colors, preview the
  LED patterns and save the configuration and restart MCE to apply changes.

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,8 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	#CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	#	 --prefix=/usr
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		 --prefix=/usr
 
 
 build: build-stamp
